return function(page, offset, screen_width, screen_height)
    local percent = offset / page.width
    local angle = percent * math.pi / 2
    local r = (screen_height + screen_width)/2

    local dx = r * math.cos(angle+math.pi/2)
    local dy = r - r * math.sin(angle+math.pi/2)

    page:translate( offset )
    page:translate( dx, dy )
    page:rotate( -angle )

end
